<?php

/* Функция фильтровки данных при выводе из базы */
function utf($str) {
	return htmlspecialchars(stripslashes($str), ENT_QUOTES);
}

/* Функция фильтровки данных при записи в базу */
function win($str) {
	return mysql_real_escape_string(trim($str));
}

/* Функция обрезания текста */
#function cut($str, $ot = 0, $do = 0) {
#	return mb_substr($str, $ot, $do, 'utf8');
#}
#
/* Функция подсчета кол-во символов в тексте */
#function txt($str) {
#	return mb_strlen($str, 'utf8');
#}

/* Функция фильтровки чисел */
function val($str, $abs = null) {
	if ($abs == null) {
		return intval($str);
	} else {
		return abs(intval($str));
	}
}

/* Функция для работы с check формой */
function check($str, $real) {
	if ($str == $real) {
		return 'checked="checked"';
	} else {
		return;
	}
}

/* Функция для работы с select формой */
function select($str, $real) {
	if ($str == $real) {
		return 'selected="selected"';
	} else {
		return;
	}
}

/* Функция правильных окончаний */
function chs($str) {
	$str = (int) $str;
	if(mb_strlen($str) > 2) {
		$row = substr($str, -2);
	} else { 
		$row = $str;  
	}
	if($row  ==  2 || $row  ==  3 || $row  ==  4 || $row  ==  22 || $row == 23 || $row == 24 || $row == 32 || $row == 33 || $row == 34 || $row == 42 || $row == 43 || $row == 44 || $row == 52 || $row == 53 || $row == 54 || $row == 62 || $row == 63 || $row == 64 || $row == 72 || $row == 73 || $row == 74 || $row == 82 || $row == 83 || $row == 84 || $row == 92 || $row == 93 || $row == 94) {
		$value = ' раза';
	} else {
		$value = ' раз';
	}
	return $str . $value;
}

/* Функция определения размера файла */
function fsize($str) {
	$str = filesize($str);
	if($str == 0) {
		return '0 B';
	} else {
		$name = array('байт', 'кб', 'мб', 'гб', 'TB', 'PB', 'EB', 'ZB', 'YB');
		$e = floor(log($str) / log(1024));
		return sprintf('%.2f '.$name[$e], ($str / pow(1024, $e)));
	}
}

/* Функция отправки почты на email */
function mailto($mail, $theme, $text, $str) {
	$utf = "From: ".$str." \n";
	$utf.= "X-sender: < ".$str." >\n";
	$utf.= "Content-Type: text/html; charset=utf-8\n";
	
	return mail($mail, $theme, $text, $utf);
}

/* Функция генерации пароля */
function gen_pass($col = 6) {
	$row = 'abcdefghijklmnopqrstuvwxvzABCDEFGHIJKLMNOPQRSTUVWXVZ0123456789';
	$str = '';
	for($i = 0 ; $i < $col; $i++) {
		$str.= $row[rand(0, 61)];
	}
	return $str;
}

/* Функция определения реального браузера */
if(isset($_SERVER['HTTP_X_OPERAMINI_PHONE_UA'])) {
	$ua = utf($_SERVER['HTTP_X_OPERAMINI_PHONE_UA']);
}
elseif (isset($_SERVER['HTTP_USER_AGENT'])) {
	$ua = utf($_SERVER['HTTP_USER_AGENT']);
} else {
	$ua = 'Не определен';
}

/* Функция определения реального IP */
if (getenv('HTTP_X_FORWARDED_FOR')) {
	$ip = utf(getenv('HTTP_X_FORWARDED_FOR'));
} else {
	$ip = utf(getenv('REMOTE_ADDR'));
}

/* Онклик для смайликов */
function quickpaste($str) {
	echo '<script language="JavaScript" type="text/javascript">
	function code(text) {
		document.form.'.$str.'.focus();
		document.selection.createRange().text = text;
		document.form.'.$str.'.focus();
	}  
	</script>';
}

/* Авторизация по сессиям */
if (isset($_SESSION['login']) && isset($_SESSION['pass'])) {
	$login = $_SESSION['login'];
	$pass = $_SESSION['pass'];
}

/* Авторизация по cookie */
elseif (isset($_COOKIE['login']) && isset($_COOKIE['pass'])) {
	$login = $_COOKIE['login'];
	$_SESSION['login'] = $login;
	$pass = $_COOKIE['pass'];
	$_SESSION['pass'] = $pass;
}

/* Проверка гостя на пользователя */
if ($login && $pass) {
	$sql = mysql_query("select * from `".prefix."users` where `login`='".utf($login)."' limit 1");
	
	if (mysql_num_rows($sql)) {
		$user = mysql_fetch_assoc($sql);
		
		if ($pass == $user['pass']) {
		
			$active = true;
		
		} else {
			unset($_SESSION['login']);
			unset($_SESSION['pass']);
			setCookie('login', '');
			setCookie('pass', '');
			$login = false;
			$pass = false;
		}
		
	} else {
		unset($_SESSION['login']);
		unset($_SESSION['pass']);
		setCookie('login', '');
		setCookie('pass', '');
		$login = false;
		$pass = false;
	}
}

/* Функция записи онлайн */
if (isset($active) == true) {
	if (mysql_num_rows(mysql_query("select * from `".prefix."online` where `user`='".$user['login']."' limit 1"))) {
		mysql_query("update `".prefix."online` set `time`='".time()."', `count`=`count`+'1' where `user`='".$user['login']."' limit 1");
	} else {
		mysql_query("insert into `".prefix."online` set `user`='".$user['login']."', `count`=`count`+'1', `ip`='".win($ip)."', `ua`='".win($ua)."', `time`='".time()."'");
	}
} else {
	if (mysql_num_rows(mysql_query("select * from `".prefix."online` where `user`='' and `ip`='".$ip."' and `ua`='".$ua."' limit 1"))) {
		mysql_query("update `".prefix."online` set `time`='".time()."', `count`=`count`+'1' where `user`='' and `ip`='".$ip."' and `ua`='".$ua."' limit 1");
	} else {
		mysql_query("insert into `".prefix."online` set `user`='', `ip`='".win($ip)."', `count`=`count`+'1', `ua`='".win($ua)."', `time`='".time()."'");
	}
}

/* Функция вывода смайлов */
function smiles($str) {
	for($i = 1; $i <= 13; $i++) {
		$str = str_replace(':'.$i.':', '<img src="'.PATH.'/images/smiles/'.$i.'.gif" alt=""/>', $str);
	}
	return $str;
}

/* функция транслита */
function translate($str) {
	$eng = array('A','a','B','b','V','v','G','g','D','d','E','e','E','e','J','j','Z','z','I','i','K','k','L','l','M','m','N','n','O','o','P','p','R','r','S','c','T','t','Y','y','F','f','X','x','C','c','Ch','ch','Cha','cha','`','`','Sh','sh','``','``','Ie','ie','You','you','Ya','ya');
	$rus = array('А','а','Б','б','В','в','Г','г','Д','д','Е','е','Ё','ё','Ж','ж','З','з','И','и','К','к','Л','л','М','м','Н','н','О','о','П','п','Р','р','С','с','Т','т','У','у','Ф','ф','Х','х','Ц','ц','Ч','ч','Щ','щ','Ь','ь','Ш','ш','Ъ','ъ','Э','э','Ю','ю','Я','я');
	return str_replace($eng, $rus, $str);
}

/* Функции постраничной навигации */
function page($k_page = 1) {
	$page = 1;
	if (isset($_GET['page'])) {
		if ($_GET['page'] == 'end') {
			$page = intval($k_page); 
		}
		elseif(is_numeric($_GET['page'])) {
			$page = intval($_GET['page']);
		}
		if ($page < 1) {
			$page = 1;
		}
		if ($page > $k_page) {
			$page = $k_page;
		}
	}
	return $page;
}

function k_page($k_post = 0, $k_p_str = 10) {
	if ($k_post != 0) { 
		$v_pages = ceil($k_post / $k_p_str); 
		return $v_pages; 
	} else {
		return 1;
	}
}

function navigation($link = '?', $k_page = 1, $page = 1) {
	if ($page < 1) {
		$page = 1;
	}
	echo '<div class="rows">Страницы: ';
	if ($page != 1) {
		echo '<a href="'.$link.'page.1"><span class="panel">1</span></a>';
	} else {
		echo '[1]';
	}
	for ($i =- 3; $i <= 3; $i++) {
		if ($page + $i > 1 && $page + $i < $k_page) {
			if ($i ==- 3 && $page + $i > 2) {
				echo ' ..'; 
			}
			if ($i != 0) {
				echo ' <a href="'.$link.'page.'.($page + $i).'"><span class="panel">'.($page + $i).'</span></a>';
			} else {
				echo ' ['.($page + $i).']';
			}
			if ($i == 3 && $page + $i < $k_page - 1) {
				echo ' ..';
			}
		}
	}
	if ($page != $k_page) {
		echo ' <a href="'.$link.'page.end"><span class="panel">'.$k_page.'</span></a>';
	}
	elseif ($k_page > 1) {
		echo ' ['.$k_page.']';
	}
	echo '</div>';
}

/* Функция проверки на активность юзера */
function user($login) {
	global $active;
	if (isset($active) == 1) {
		return '<a href="'.PATH.'/user/'.$login.'">'.utf($login).'</a>';
	} else {
		return '<b>'.utf($login).'</b>';
	}
}

/* Проверка пользователя на активность */
function online($login) {
	if (mysql_num_rows(mysql_query("select * from `".prefix."online` where `user`='".$login."' and `time`>'".(time() - 120)."'"))) {
		return ' [<span style="color:green">On</span>]';
	} else {
		return ' [<span style="color:red">Off</span>]';
	}
}

/* Функция ББ кодов */
function bb($str) {
	/* Жирный шрифт */
	$str = preg_replace('#\[b\](.*?)\[/b\]#si', '<b>\1</b>', $str);
	/* Наклоненный шрифт */
	$str = preg_replace('#\[i\](.*?)\[/i\]#si', '<i>\1</i>', $str);
	/* Подчеркнутый шрифт */
	$str = preg_replace('#\[u\](.*?)\[/u\]#si', '<u>\1</u>', $str);
	/* Перенос текста */
	$str = preg_replace('#\[br\]#si', '<br/>', $str);
	/* Зачеркнутый шрифт */
	$str = preg_replace('#\[del\](.*?)\[/del\]#si', '<del>\1</del>', $str);
	/* Маленький шрифт */
	$str = preg_replace('#\[small\](.*?)\[/small\]#si', '<small>\1</small>', $str);
	/* Цветной шрифт */
	$str = preg_replace('#\[color=(.*?)\](.*?)\[/color\]#si', '<span style="color:\1">\2</span>', $str);
	/* Цитата */
	$str = preg_replace('#\[quote\](.*?)\[/quote\]#si', '<div class="tabl2"><b>Цитата:</b><br/><div class="tabl">\1</div></div>', $str);
	return $str;
}
?>