<?php
$title = 'Личный кабинет пользователя';
include ('inc/head.php');

/* Полный путь до файла */
define('root', PATH.'/profile.xhtml');

if (isset($active) == false) {
	header('Location: '.PATH);
} else {


	switch($act) {
		default:
		
			echo '<div class="title">Добро пожаловать в ваш персональный кабинет!</div>
			<div class="menu"><img src="'.PATH.'/images/user_comment.png" alt=""/> <a href="'.root.'/error/">Заявить об ошибке</a></div>
			<div class="menu"><img src="'.PATH.'/images/r.gif" alt=""/> <a href="'.root.'/settings/">Моя анкета</a><br/></div>';


			echo '<div class="block"><a href="'.PATH.'">Главная</a> / Личный кабинет</div>';
		
		break;
		
		case 'settings':
		
			$dir = './images/avator/';
			
			$image = array('jpg', 'jpeg', 'gif');
			
			$file = @strtolower(basename($_FILES['avator']['name']));
		
			echo '<div class="title">Настройки моей анкеты</div>';
			
			$error = '';
			
			if (isset($_POST['submit'])) {
				
				if (!empty($_POST['name']) && mb_strlen($_POST['name'], 'utf8') < 3 && mb_strlen($_POST['name'], 'utf8') > 25) {
					$error.= 'Имя должно содержать от 3 до 25 символов!';
				}
				elseif (!empty($_FILES['avator']['tmp_name']) && is_file($dir . $file)) {
					$error.= 'Аватор с таким именем уже существует!';
				}
				elseif (!empty($_FILES['avator']['tmp_name']) && !in_array(pathinfo($file, PATHINFO_EXTENSION), $image)) {
					$error.= 'Не верный формат файла!';
				}
				elseif (!empty($_FILES['avator']['tmp_name']) && $_FILES['screen']['size'] > (1024 * $set['avator'] * 1024)) {
					$error.= 'Вес файла не должен превышать '.$ser['avator'].'мб!';
				}
				elseif (!empty($_FILES['avator']['tmp_name']) && strlen($file) > 20) {
					$error.= 'Имя файла не должно содержать более 20 символов!';
				}
				elseif (!in_array($_POST['sex'], range(0, 2))) {
					$error.= 'Не верно выбран пол!';
				}
				elseif (!empty($_POST['city']) && mb_strlen($_POST['city'], 'utf8') < 3 && mb_strlen($_POST['city'], 'utf8') > 25) {
					$error.= 'Имя города должно содержать от 3 до 25 символов!';
				}
				elseif (!empty($_POST['game']) && mb_strlen($_POST['game'], 'utf8') < 3 && mb_strlen($_POST['game'], 'utf8') > 30) {
					$error.= 'Жанр игры должен содержать от 3 до 30 символов!';
				}
				elseif (!empty($_POST['icq']) && !preg_match('#[0-9]{5,9}#', $_POST['icq'])) {
					$error.= 'Не верно введен ICQ норер!';
				}
				elseif (!empty($_POST['url']) && preg_match("/^http:\/\/[a-zA-Z0-9\/.=?_-]+$/", $_POST['url'])) {
					$error.= 'Адрес ваше сайта нужно вводить без http://!';
				}
				elseif (!empty($_POST['wmr']) && !preg_match('#R[0-9]{12}#i', $_POST['wmr'])) {
					$error.= 'Не верно введен WMR кошелек!';
				}
				elseif (!empty($_POST['info']) &&  mb_strlen($_POST['info'], 'utf8') > 300) {
					$error.= 'Информация не должна содержать более 300 символов!';
				}
				if ($error) {
					echo '<div class="error">'.$error.'</div>';
				} else {
					
					@unlink($dir . $user['avator']);
					
					if (mysql_query("update `".prefix."users` set `name`='".win($_POST['name'])."', `avator`='".win($file)."', `happy`='".win($_POST['put'].'|'.$_POST['month'].'|'.$_POST['year'])."', `sex`='".val($_POST['sex'], 1)."', `city`='".win($_POST['city'])."', `game`='".win($_POST['game'])."', `icq`='".win($_POST['icq'])."', `url`='".win(str_replace('http://', '', $_POST['url']))."', `wmr`='".win($_POST['wmr'])."', `info`='".win($_POST['info'])."', `close`='".val($_POST['close'])."' where `login`='".$user['login']."' limit 1")) {
						
						if (!empty($_FILES['avator']['tmp_name'])) {
							move_uploaded_file($_FILES['avator']['tmp_name'], $dir . $file);
						}
						
						header('Location: '.root.'/settings/');
					} else {
						echo '<div class="error">Данные не сохранены!</div>';
					}
					
					
				}
				
			}
		
			$date = explode('|', $user['happy']);
			
			if (isset($_GET['del'])) {
			
				@unlink($dir . $user['avator']);
				mysql_query("update `".prefix."users` set `avator`='' where `login`='".$user['login']."' limit 1");
				header('Location: '.root.'/settings/');
			
			}
			
			echo '<div class="menu">
			Ваш логин: <b>'.utf($user['login']).'</b><br/>
			Ваш e-mail: <b>'.utf($user['email']).'</b><div class="line"></div>
			<form action="" method="post" enctype="multipart/form-data">
			<div class="tit"><span>Аватор</span></div>
			'.(empty($user['avator']) ? 'Вы еще не загружали аватор' : '<img src="'.PATH.'/images/avator/'.utf($user['avator']).'" width="70" alt=""/><br/>
			<a href="'.root.'/settings/del/"><small>Удалить аватор</small></a>').'<div class="line"></div>
			Аватор:<br/><input type="file" name="avator"/><br/>
			Ваше имя:<br/><input type="text" name="name" value="'.utf($user['name']).'" maxlength="25"/><br/>
			Дата рождения:<br/><select name="put">
			<option value="0"></option>';
			for ($i = 1; $i <= 31; $i++) {
				echo '<option value="'.$i.'" '.select($i, $date[0]).'>'.$i.'</option>';
			}
			echo '</select> <select name="month">
			<option value="0"></option>';
			for ($i = 1; $i <= 12; $i++) {
				echo '<option value="'.$i.'" '.select($i, $date[1]).'>'.$i.'</option>';
			}
			echo '</select> <select name="year">
			<option value="0"></option>';
			for ($i = 1930; $i <= 2005; $i++) {
				echo '<option value="'.$i.'" '.select($i, $date[2]).'>'.$i.'</option>';
			}
			echo '</select><br/>
			Пол:<br/><select name="sex">
			<option value="0" '.select(0, $user['sex']).'></option>
			<option value="1" '.select(1, $user['sex']).'>Мужской</option>
			<option value="2" '.select(2, $user['sex']).'>Женский</option>
			</select><br/>
			Город:<br/><input type="text" name="city" value="'.utf($user['city']).'" maxlength="30"/><br/>
			Любимый жанр игр:<br/><input type="text" name="game" value="'.utf($user['game']).'" maxlength="30"/><br/>
			Ваше ICQ:<br/><input type="text" name="icq" value="'.utf($user['icq']).'" maxlength="9"/><br/>
			Ваш сайт:<br/>http://<input type="text" name="url" value="'.utf(str_replace('http://', '', $user['city'])).'" maxlength="25" size="14"/><br/>
			WMR:<br/><input type="text" name="wmr" value="'.utf($user['wmr']).'" maxlength="13"/><br/>
			О себе (макс = 300символов):<br/><textarea name="info" rows="3" cols="20">'.utf($user['info']).'</textarea><br/>
			Не показывать мои данные: <input type="checkbox" name="close" value="1" '.check(1, $user['close']).'/><br/>
			<input style="margin-top: 3px;" type="submit" name="submit" value="Сохранить"/>
			</form>
			</div>';
		
			echo '<div class="block"><a href="'.PATH.'">Главная</a> / <a href="'.root.'">Личный кабинет</a> / Моя анкета</div>';
			
		break;
		
		case 'error':
			echo '<div class="title">Заявить об ошибке</div>';
			
			if (isset($_POST['text'])) {
			
				if (isset($_SESSION['bug']) && $_SESSION['bug'] > time() - 10) {
					echo '<div class="error">Нельзя так часто отправлять заявки!</div>';
				}
				elseif (empty($_POST['text']) && mb_strlen($_POST['text'], 'utf8') < 5) {
					echo '<div class="error">Заявка не должна быть такой короткой!</div>';
				} else {
					if (mysql_query("insert into `".prefix."bug` set `date`='".time()."', `user`='".$user['login']."', `text`='".win($_POST['text'])."'")) {
						$_SESSION['bug'] = time();
						echo '<div class="menu">Большое спасибо! Ваша заявка будет рассмотрена администрацией в кратчайшие сроки!</div>';
					} else {
						echo '<div class="error">Ваша заявка не может быть отправлена!</div>';
					}
				}
				
			}
			
			echo '<div class="menu">
			Для чего? - Если вы обнаружили ошибку (даже если орфографическую), недочет, то смело заявляйте о ней, и она будет исправлена в ближайшее время.<div class="line"></div>
			P.S: Мы будем очень благодарны вам!
			</div>
			<div class="menu">
			<form action="" method="post">
			Сообщить:<br/><textarea name="text" cols="25" rows="4"></textarea><br/>
			<input type="submit" value="Отправить"/>
			</form></div>';
			
			
			echo '<div class="block"><a href="'.PATH.'">Главная</a> / <a href="'.root.'">Личный кабинет</a> / Заявить об ошибке</div>';
		break;
	}


}

include ('inc/foot.php');
?>