<?php
$title = 'Регистрация';
include ('inc/head.php');

/* Полный путь до файла */
define ('root', PATH.'/reg.xhtml');

if (isset($active) == true) {
	header('Location: '.PATH);
}

echo '<div class="title"><b>'.$title.'</b></div>';

$error = '';

if (isset($_POST['submit'])) {

	if (empty($_POST['login'])) {
		$error.= 'Логин не должен быть пустым!';
	}
	elseif (strlen($_POST['login']) < 4 or strlen($_POST['login']) > 12) {
		$error.= 'Логин должен содержать от 4 до 12 символов!';
	}
	elseif (mysql_num_rows(mysql_query("select (`login`) from `".prefix."users` where `login`='".utf($_POST['login'])."' limit 1"))) {
		$error.= 'Данные логин уже зарегистрирован в системе!';
	}
	elseif (empty($_POST['mail'])) {
		$error.= 'E-mail не должен быть пустым!';
	}
	elseif (!preg_match('|^([a-z0-9_\.\-]{1,20})@([a-z0-9\.\-]{1,20})\.([a-z]{2,4})$|ius', $_POST['mail'])) {
		$error.= 'Не верно введен почтовый ящик!';
	}
	elseif (mysql_num_rows(mysql_query("select (`email`) from `".prefix."users` where `email`='".utf($_POST['mail'])."' limit 1"))) {
		$error.= 'Данные e-mail уже зарегистрирован в системе!';
	}
	elseif (empty($_POST['generate']) && empty($_POST['pass'])) {
		$error.= 'Пароль не должен быть пустым!';
	}
	elseif (empty($_POST['generate']) && strlen($_POST['pass']) < 5 or strlen($_POST['pass']) > 15) {
		$error.= 'Пароль должен содержать от 5 до 15 символов!';
	}
	elseif (empty($_POST['generate']) && $_POST['pass'] == $_POST['login']) {
		$error.= 'Логин не должен совпадать с паролям!';
	}
	elseif (!is_numeric($_POST['is'])) {
		$error.= 'Не верно выбран вопрос!';
	}
	elseif ($_POST['is'] > count($secret) or $_POST['is'] < 0) {
		$error.= 'Выберите вопрос из списка!';
	}
	elseif (empty($_POST['otvet'])) {
		$error.= 'Ответ на вопрос не должен быть пустым!';
	}
	elseif (mb_strlen($_POST['otvet'], 'utf8') < 5 or mb_strlen($_POST['otvet'], 'utf8') > 20) {
		$error.= 'Ответ на вопрос должен содержать от 5 до 20 символов!';
	}
	elseif (empty($_POST['code'])) {
		$error.= 'Введите код с картинки!';
	}
	elseif ($_SESSION['code'] != $_POST['code']) {
		$error.= 'Код с картинки введен не верно!';
	}
	if ($error) {
		echo '<div class="error">'.$error.'</div>';
	} else {
		
		$_SESSION['generate_password'] = gen_pass();
		
		if (mysql_query("insert into `".prefix."users` set `date_reg`='".time()."', `login`='".win($_POST['login'])."', `pass`='".md5(empty($_POST['generate']) ? win($_POST['pass']) : $_SESSION['generate_password'])."', `email`='".win($_POST['mail'])."', `is`='".val($_POST['is'], 1)."', `otvet`='".win($_POST['otvet'])."'")) {
			
			if (mysql_insert_id() == 1) {
				mysql_query("update `".prefix."users` set `admin`='1' where `id`='1'");
			}
			
			$password = empty($_POST['generate']) ? utf($_POST['pass']) : $_SESSION['generate_password'];
			
			mailto($_POST['mail'],
			'Спасибо за регистрацию на сайте '.$_SERVER['HTTP_HOST'],
			'Спасибо за регистрацию на сайте '.$_SERVER['HTTP_HOST'].'!<br/>
			Ваши данные для входа в личный кабинет:<br/>
			Логин: '.utf($_POST['login']).'<br/>
			Пароль: '.$password.'<br/>
			Ссылка для автологина: http://'.$_SERVER['HTTP_HOST'].'/'.utf($_POST['login']).'/'.$password,
			$set['mail']);
			
			echo '<div class="menu">Вы успешно зарегистрированы на сайте!</div>
			<div class="menu">
			Ваши данные для входа в кабинет:<br/>
			Логин: '.utf($_POST['login']).'<br/>
			Пароль: '.$password.'</div>
			<div class="menu">Ссылка для автологина:<br/><input type="text" value="http://'.$_SERVER['HTTP_HOST'].'/'.utf($_POST['login']).'/'.$password.'/" /></div>';
			
			echo '<div class="block"><a href="'.PATH.'">Главная</a> / <a href="'.root.'">Регистрация</a> / Вы зарегистрированы</div>';
			
			exit(include('inc/foot.php'));
			
		} else {
			echo '<div class="error">Ошибка при регистрации</div>';
		}
	}

}

?>
<form action="" method="post">
	<div class="menu">
		Логин:<br/><input type="text" name="login" maxlength="12"/><br/>
		<small>Никнейм должен содержать от 4 до 12 символов!</small>
	</div>
	<div class="menu">
		E-mail:<br/><input type="text" name="mail" maxlength="35"/><br/>
		<small>Введите ваш почтовый ящик в формате name@example.com</small>
	</div>
	<div class="menu">
		Пароль:<br/><input type="password" name="pass" maxlength="15"/><br/>
		<small>Пароль должен содержать от 5 до 15 символов!</small><br/>
		Сгенерировать пароль: <input type="checkbox" name="generate"/>
	</div>
	<div class="menu">
		Секретный вопрос:<br/><select name="is">
		<?
		for ($i = 0; $i <= count($secret) - 1; $i++) {
			echo '<option value="'.$i.'">'.$secret[$i].'</option>';
		}
		?>
		</select>
	</div>
	<div class="menu">
		Ответ на вопрос:<br/><input type="text" name="otvet" maxlength="20"/><br/>
		<small>Для восстановлении пароля, нужно будет ввести ответ на вопрос!</small>
	</div>
	<div class="menu">
		Код с картинки:<br/><a href="#" onclick="document.captcha.src = document.captcha.src + '?' + (new Date()).getTime(); return false;"><img name="captcha" src="<?= PATH ?>/code.php" alt="Включить картинки"/></a> <input style="margin-bottom: 4px;" type="text" name="code" maxlength="4" size="4"/><br/>
		<small>Следует ввести четырех значный код с картинки!<br/>Для обновления кода, нажмите на картинку.</small>
	</div>
	<div class="menu">
		<input type="submit" name="submit" value="Регистрация"/>
	</div>
</form>

<div class="block"><a href="<?= PATH ?>">Главная</a> / Регистрация</div>

<?
include ('inc/foot.php');
?>